Cyberduck Mountain Duck CLI

#11110 closed defect (thirdparty)

Handshake failure. Unable to negotiate an acceptable set of security parameters

Reported by: emagnier Owned by:
Priority: high Milestone:
Component: s3 Version: 7.4.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform: macOS 10.15

Description

Cyberduck is unable to connect on a S3 bucket if the bucket name contains a dot. For example bucket-name.domain.org

When trying to connect / list theses bucket, we get this error: Handshake failure. Unable to negotiate an acceptable set of security parameters.

However, on the same s3 hosting, Cyberduck is working properly on any other bucket that doesn't have a "." dot characters in their name.

Change History (5)

comment:1 Changed on Jul 13, 2020 at 9:26:58 PM by emagnier

Tested on several other S3 clients, and it's working well. So it's seems to be a Cyberduck issue.

comment:2 Changed on Aug 27, 2020 at 11:45:59 AM by dkocher

  • Summary changed from Connection errors on S3 buckets named with dot characters to Handshake failure. Unable to negotiate an acceptable set of security parameters

comment:3 Changed on Aug 27, 2020 at 12:02:43 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

I cannot reproduce this error with Amazon S3. Try to set the bucket as a default path instead of providing it in the Hostname when configuring your bookmark as a workaround.

comment:4 follow-up: Changed on Sep 9, 2020 at 8:29:10 AM by emagnier

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I'm still able to reproduce it. I'm not using Amazon S3, but another S3 provider (using Ceph), this is why I'm providing a Hostname.

comment:5 in reply to: ↑ 4 Changed on Sep 14, 2020 at 8:25:48 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

Replying to emagnier:

I'm still able to reproduce it. I'm not using Amazon S3, but another S3 provider (using Ceph), this is why I'm providing a Hostname.

Double check the SSL certificate installed on the server.

Note: See TracTickets for help on using tickets.